Subject: Re: linux-next: build warning after merge of the arm-soc tree

From: "Arnd Bergmann" <[email-masked]>
Date: Thu, 22 Jun 2023 10:19:17 +0200

On Thu, Jun 22, 2023, at 02:48, Stephen Rothwell wrote:
> Hi all,
>
> After merging the arm-soc tree, today's linux-next build (arm
> multi_v7_defconfig) produced this warning:
>
> arch/arm/boot/dts/marvell/armada-390-db.dts:84.10-106.4: Warning 
> (spi_bus_reg): /soc/spi@10680/flash@1: SPI bus unit address format 
> error, expected "0"
>
> I am not sure why this has only shown up now.

Thanks for the report, I also just ran into the same thing.
It's probably instroduced by 89e73afc3f540 ("ARM: dts: marvell:
align SPI NOR node name with dtschema"), but I don't know why
there was no warning before.

Added the fixup patch now.

    Arnd

---
commit 7dc3be1745d05c1ed7d385487238ec06a07f4f29
Author: Arnd Bergmann <[email-masked]>
Date:   Thu Jun 22 10:14:02 2023 +0200

    ARM: mvebu: fix unit address on armada-390-db flash
    
    The unit address needs to be changed to match the reg property:
    
    arch/arm/boot/dts/marvell/armada-390-db.dts:84.10-106.4: Warning (spi_bus_reg): /soc/spi@10680/flash@1: SPI bus unit address format error, expected "0"
    
    Reported-by: Stephen Rothwell <[email-masked]>
    Signed-off-by: Arnd Bergmann <[email-masked]>

diff --git a/arch/arm/boot/dts/marvell/armada-390-db.dts b/arch/arm/boot/dts/marvell/armada-390-db.dts
index 792d0a0184e82..20f518dbac971 100644
--- a/arch/arm/boot/dts/marvell/armada-390-db.dts
+++ b/arch/arm/boot/dts/marvell/armada-390-db.dts
@@ -81,7 +81,7 @@ &spi1 {
 	pinctrl-0 = <&spi1_pins>;
 	pinctrl-names = "default";
 
-	flash@1 {
+	flash@0 {
 		#address-cells = <1>;
 		#size-cells = <1>;
 		compatible = "n25q128a13",